
CoCoALib - Design #410

New file: BigRatOps

18 Oct 2013 16:32 - John Abbott

Status: Closed Start date: 18 Oct 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 0.22 hour

Target version: CoCoALib-0.99600 Spent time: 0.25 hour

Description

Should BigRat be split into the type defn and a separate BigRatOps?

Why is IntOperations not called BigIntOps?

Related issues:

Related to CoCoALib - Design #408: Rename MatrixArith to MatrixOperations Closed 15 Oct 2013

Related to CoCoALib - Support #847: Doc for BigInt, BigIntOps, BigRat -- shou... Closed 21 Mar 2016

Related to CoCoALib - Design #1145: File names, coding conventions: Fns, Ops,... Closed 19 Dec 2017

History

#1 - 29 Oct 2013 13:10 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99532

#2 - 02 Apr 2014 07:48 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#3 - 08 Apr 2014 18:40 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#4 - 09 Jul 2014 18:15 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#5 - 04 May 2018 19:06 - Anna Maria Bigatti

- Related to Support #847: Doc for BigInt, BigIntOps, BigRat -- should there be BigRatOps? added

#6 - 16 May 2018 17:06 - Anna Maria Bigatti

- Related to Design #1145: File names, coding conventions: Fns, Ops, Operations? part 2 added

#7 - 16 May 2018 17:09 - Anna Maria Bigatti

- Subject changed from BigRatOperations? to New file: BigRatOps

- Description updated

- Status changed from New to In Progress

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99600

- % Done changed from 0 to 10

#8 - 12 Jun 2018 18:20 - John Abbott

- Assignee set to John Abbott

- % Done changed from 10 to 90

I have split the sources (or did Anna do it?).  Updated the doc, and all other files.
#9 - 03 Aug 2018 16:15 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

- Estimated time set to 0.22 h
